Package org.flowable.bpmn.model

# Class IOSpecification

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.IOSpecification

All Implemented Interfaces:
  `HasExtensionAttributes`

public class IOSpecification extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `dataInputRefs`
  `protected List<DataSpec>`
  `dataInputs`
  `protected List<String>`
  `dataOutputRefs`
  `protected List<DataSpec>`
  `dataOutputs`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOSpecification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IOSpecification`
  `clone()`
  `List<String>`
  `getDataInputRefs()`
  `List<DataSpec>`
  `getDataInputs()`
  `List<String>`
  `getDataOutputRefs()`
  `List<DataSpec>`
  `getDataOutputs()`
  `void`
  `setDataInputRefs(List<String> dataInputRefs)`
  `void`
  `setDataInputs(List<DataSpec> dataInputs)`
  `void`
  `setDataOutputRefs(List<String> dataOutputRefs)`
  `void`
  `setDataOutputs(List<DataSpec> dataOutputs)`
  `void`
  `setValues(IOSpecification otherSpec)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataInputs

    protected List<DataSpec> dataInputs

  - ### dataOutputs

    protected List<DataSpec> dataOutputs

  - ### dataInputRefs

    protected List<String> dataInputRefs

  - ### dataOutputRefs

    protected List<String> dataOutputRefs

- ## Constructor Details

  - ### IOSpecification

    public IOSpecification()

- ## Method Details

  - ### getDataInputs

    public List<DataSpec> getDataInputs()

  - ### setDataInputs

    public void setDataInputs(List<DataSpec> dataInputs)

  - ### getDataOutputs

    public List<DataSpec> getDataOutputs()

  - ### setDataOutputs

    public void setDataOutputs(List<DataSpec> dataOutputs)

  - ### getDataInputRefs

    public List<String> getDataInputRefs()

  - ### setDataInputRefs

    public void setDataInputRefs(List<String> dataInputRefs)

  - ### getDataOutputRefs

    public List<String> getDataOutputRefs()

  - ### setDataOutputRefs

    public void setDataOutputRefs(List<String> dataOutputRefs)

  - ### clone

    public IOSpecification clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(IOSpecification otherSpec)